/*
 * tri_a_bulles.h
 *
 * Quelques fonctions pour oprations basiques sur un tableau de longs.
 *
 * auteur: Xavier GARREAU : xgarreau@club-internet.fr
 *
 * web : http://perso.club-internet.fr/xgarreau/
 *
 * dmodif: 13.03.2000
 *
 */
#ifndef _TRI_A_BULLES_H
#define _TRI_A_BULLES_H 1

/*
 * test_case_tableau : Dans le tableau point par addr_tableau,
 *   Vrifie que la case case case_tableau est bien place par rapport  celle qui la prcde
 *   Si ce n'est pas le cas, permute les cases et se rappelle su la case prcdente.
 *   La rcurrence s'arrte quand
 *     la case case case_tableau est bien place par rapport  celle qui la prcde
 *     ou bien si case_tableau vaut prem_case_tableau.
 *   Ne renvoie rien.
 *
 */
void test_case_tableau ( long * addr_tableau, int taille_tableau, int case_tableau, int prem_case_tableau );

/*
 * permut_cases :
 *   permute les valeurs des cases case_1 et case_2 du tableau point par addr_tableau
 *   Ne renvoie rien.
 *
 */
void permut_cases ( long * addr_tableau, int case_1, int case_2 );

/*
 * test_tableau :
 *   renvoie le tableau point par addr_tableau tri (ordre croissant)
 *     de la case prem_case_tableau
 *      la case taille_tableau-1
 *
 */
long * test_tableau ( long * addr_tableau, int prem_case_tableau, int taille_tableau );

/*
 * nb_cases_tableau :
 *   Renvoie le nombre de cases du tableau point par addr_tableau
 *     cd nombre de cases alloues
 *     ou premire case contenant (long)NULL si le tableau en contient une.
 *
 */
int nb_cases_tableau ( long * addr_tableau );

#endif
